import numpy as np
import matplotlib
import matplotlib.cm as cm
import matplotlib.mlab as mlab
import matplotlib.pyplot as plt
from matplotlib.pyplot import figure, show
from fmomentN import *
def PlotFigure(*args):
    SF=args[0]
    W=args[1]
    L=args[2]

    lz,lx = np.shape(SF)
    print lz, lx
    dz = W/lz
    dx = L/lx

#    %%% calculate Mw,Mo for slip distribution
#    dim=[W, L]
    Mo,Mw = fmomentN(SF,[W, L])
#w    Mo,Mw = fmomentN(SF,dim)

#    %%% set up axis
    zax = np.linspace(0,W,lz)
    xax = np.linspace(0,L,lx)

#    %%% plotting slip distribution
# OJO ponerlo por si en una se dice que NO    if nf == 'y':

    matplotlib.rcParams['xtick.direction'] = 'out'
    matplotlib.rcParams['ytick.direction'] = 'out'

    X,Y=np.meshgrid(zax, xax)
    plt.figure() #Q
#    im = plt.imshow(SF, interpolation='spline16', origin='upper',
    im = plt.imshow(SF, interpolation='bilinear', origin='upper',
#    im = plt.imshow(SF, interpolation='nearest', origin='upper', #Q
                    cmap=cm.jet, extent=(0,L,W,0) ) #Q

    mmin=np.min(SF)
    mmax=np.max(SF)
    dm=mmax-mmin
#    print 'mmin, mmax', mmin, mmax
    levels = np.arange(mmin,mmax, dm/9.0)

    CS = plt.contour(xax, zax, SF, 9, colors='k', origin='image', extent=(0,L,W,0) )

#    %% define contour intervals
    ci = np.floor(np.max(SF)/10)
    if ci >= 10:
        ci = 10*np.round(ci/10)
    elif ci <=1:
        ci = 1
#    %ci = 50;
#   cl = np.linspace(0,max(slip),ci)

    plt.ylabel('Down Dip Distance [km]') #Q
    plt.title('Mw = {0:.2f} (Mo = {1:.2e} Nm) \n [cont. int.: {2:.1f} cm]'.format(Mw, Mo, ci)) #Q

    plt.flag() #Q


# We can still add a colorbar for the image, too.
    CBI = plt.colorbar(im, orientation='horizontal', shrink=0.8) #Q
    CBI.set_label('Slip [cm] (cont. int.: {0:.1f} cm)'.format(ci)) #Q

    plt.show() #Q
    return
