# Created by Hugo Cruz Jimenez, August 2011, KAUST
from val import *
import numpy as np
import random
from scipy import *
import scipy.interpolate
def RupTime(*args):
#function [Tr,vr] = RupTime(slip,samp,hypo,vprof,vrat,dv,depth,plt)
#
#	Tr = RupTime(slip,hypo,vprof,vrat,dv,depth,'outfile') 
#	calculates the rupture times for an earthquake on 
#	a planar fault given the hypocenter coordinates 
#	hypo(x,z) for fault dimensions (lx X lz), velocity profile
#	vprof and the ratio of rupture to shear wave velocity vrat
#	(typical 0.7-0.90 shear wave velocity) variations dv {in %}
#	are allowed as well, equal for all v(i)
#
#
#	input:	slip	- input slip distribution, [lz,lx]
#               samp    - sampling of slip function [dz dx]
#		hypo	- coordinates of hypocenter 
#				(x along fault, z absolute depth)
#		vprof	- velcity-depth profile [z vp vs rho]; give 4 columns
#		vrat	- desired rupture to shear wave velocity ratio
#		dv	- variation to vrl, in percent
#		depth	- depth-extent of rupture plane [zmin zmax]
#		outfile	- optional: file name to which rupture times
#				are written
#
#
#	output:	Tr	- array of rupture times of each subfault 
#
#
#	mmai, 2/20/98
#	-------------
    
    slip=args[0]    
    samp=args[1]    
    hypo=args[2]    
    vprof=args[3]    
    vrat=args[4]    
    dv=args[5]    
    depth=args[6]    
    plt=args[7]    
#    seed=args[8]

#    print 'Choo SSseed',seed

#    print 'ESTE ES SLIP', slip
    print 'ESTE ES SHAPE DE SLIP', np.shape(slip)
    print 'ESTE ES SAMP',samp 
    print 'ESTE ES SHAPE DE SAMP', np.shape(samp)
    print 'ESTE ES HYPO',hypo 
    print 'ESTE ES SHAPE DE HYPO', np.shape(hypo)

    x0 = hypo[0]			#% hypocenter coordinates
    z0 = hypo[1]
    lz,lx = np.shape(slip)	        #% rupture dimensions	
    print 'ESTE ES SAMP', samp
    print 'ESTE ES SHAPE DE SAMP', np.shape(samp)
#    zsamp,xsamp = np.shape(samp)		#% given sampling
    zsamp = samp[0]	#% given sampling
    xsamp = samp[1]	#% given sampling
    dim = [lz*zsamp, lx*zsamp]
    
    
    #%% set up vectors of along strike/down dip dimensions

    dx=[]
    i=1
    while i <= ( (dim[1]+1) - (-x0) )/xsamp + 1:
        dx.append((-x0)-xsamp*(1-i))
        i += 1
    dx=dx[0:lx]


#    dx=val.incre(ini,fin,inc)
#    dx=val.incre(-x0,dim[1]+1,xsamp)
#    print dx

    dz=[]
    i=1
    while i <= ( (dim[0]+1) - (-z0) )/zsamp + 1:
        dz.append((-z0)-zsamp*(1-i))
        i += 1
    dz=dz[0:lz]

    print 'dx',dx
    print 'dz',dz

#    dz=val.incre(-z0,dim[0]+1,zsamp)
#    print -z0,dim[0]+1,zsamp
#    print dz
#    dz=dz[0:lz]

# Mal porque tenia flotantes y el range solo enteros
#    dz=[]    
#    for i in range(-z0,dim[0]+1,zsamp):
#        dz.append(i)
#    dz=dz[0:lz]

    #%% calculate radial distance from hypocenter
    x,z = np.meshgrid(dx,dz)
#    print 'dx',dx
#    print 'dz',dz

#&    print 'x',x
#&    print 'z',z
    print 'shape(x)',shape(x)
    print 'shape(z)',shape(z)
    r = np.sqrt(z**2 + x**2)
#&    print 'Este es "r"',r
    
    
    #%% interpolate S-velocity profile onto grid-points
    zmin = depth[0]
    zmax = depth[1]
    zarr = np.linspace(zmin,zmax,lz)
#    vr=np.shape(slip)
    vr=np.ones((lz,1))
    
    zz = vprof[:][:,0]
    vv1 = vprof[:][:,2]
    vv=np.transpose(vv1)

# VER si abajo realmente encesita que sea la transpuesta de VV porque tiene VV'
    vs1 = scipy.interpolate.interp1d(zz,vv)(zarr) 	# vs-profile from 0 to max depth
    vs=np.transpose(vs1)
#    vs = interp1(zz,vv',zarr)' 	# vs-profile from 0 to max depth
          
    # vs-profile in range of fault plane
    for i in range (0,len(zarr)):
        if zarr[i] >= zmin and zarr[i] <= zmax:
#           vr[i,:] = vs[i]*vrat			# profile of rupture velocity
            vr[i][:] = vs[i]*vrat			# profile of rupture velocity
# p            print 'SHAPE AND TYPE OF VR',np.shape(vr),type(vr)
# p            print 'THIS IS VR',vr
        
            V1 = np.ones(np.shape(slip))
# p            print 'SHAPE AND TYPE OF V1',np.shape(V1),type(V1)
# p            print 'This is V1',V1   
# VELOCIDAD CORRECTA            V=V1*vr # EL correcto es sin el [i]

            V=V1*vr # EL correcto es sin el [i]
#A            V=V1*vr[i] #  Para hacerlo como TOOOODOS LOS ANTERIORES, PERO ASIGNABA MALAS VELOCIDADES

#f            V=vr[i,:]*V1
# p            print 'SHAPE AND TYPE OF V',np.shape(V),type(V)
# p            print 'This is V',V   
#W            print 'This is vr',vr   

#            print 'This is V',V   
#           print 'This is V',V   
            hs1,hs2=np.shape(r)
#            print 'This is hs1, hs2', hs1, hs2  
# d            for ii in range (0,hs2):
#           print 'This is ii', ii
#               V[:][:,ii] = vr[i]

# s                V[ii,:][:] = vs[i]*vrat
#               print 'This is V',V   

            t = r/V
    
    #%% random perturbation to rupture time

    print 'TYPE',type(np.shape(t))

    np.random.seed(2791)
#    random.seed(seed[0])

    hk1,hk2=np.shape(t)
    dt = np.random.randn(hk1,hk2)
    dt = dv*V*(dt/(abs(dt)).max())
#
#if isempty(Rseed) == 1;
#  Rseed = zeros(1,2);
#  Rseed(1) = sum(100*clock);
#  Rseed(2) = sum(109*clock);
#end
#rand('seed',Rseed(1));
#randn('seed',Rseed(2));


    
    #%% final rupture time history, adjusted for grid points, i.e.
    #%% shifted zuch that Tr = 0 at hypocenter
    T = t+dt
    tmin = T.min()
    Tr = T - tmin
    
    return Tr

    #if plt == 'y'
    #figure
    # imagesc(dx,dz,slip) hold on
    # contour(dx,dz,Tr,[0:1.0:max(Tr(:))],'w')
    # plot(0,0,'kp','MarkerS',15,'MarkerFaceCol','w')
    # axis ij; axis equal; axis tight;
