# Created by Hugo Cruz Jimenez, August 2011, KAUST
#!/bin/bash

#module load gmt/4.5.5

for (( j = 7; j <= 21; j++ ))  # WIDTH for ALL
 do
 for (( i = 7; i <= 35; i++ ))  # LENGTH for ALL
  do

label=2
model=nh5
width="$j"
length="$i"
Mw=6.5
mech=ss
c1=4
c2=6
c3=0.6
seedf=
ns=16

f1=1.5
f2=1.5
htop=2.0
rake=180.0 
STF=Y
dstf=1.25
sa1=0.5
sa2=0.5
grd=nod
nexp=1.2
tp1=2
tp2=2
tp3=2
depth=30.0
acf=ak
zmin=2.0

Hx="$i" # Here it takes "length" but in aCreate.py divides by 2.0, so always will be in the middle
Hz="$j" # W/2 dentro de aCreate  # anteriores con 6
slpdir=LL
vrat=0.75 # ss2-* with 1.1  ;  ss-* with 1.3 antes # Bueno
vrnd=0.0


#####       SXSLIPinput2C.py      ###########
## %% default settings for integration, to be used in SLIPDT-code
decay=0.8                        #% power decay
xobs=0.0                           #% observer locations,
yobs=0.0                           #% give [0 0] for all
rnpw=10                          #% # of points in quadrature
numin=30
nvmin=30                         #% min # of points in x,y
durfc=1.0                        #% duration fac for rise time
vrat1=1.0                         #% standard for NO change


srsps=0
scpps=0
ss=0 #   0: save sesimograms, 1: don't save seismograms 



#RANDOM (r), HOMOGENEOUS (h) OR ELLIPTICAL PATCH (e)
hoe=e
#thetaEL=135 # Angle of inclination of the ellipse
#thetaHC=45  # Angle of the location of the hypocenter (distance = major semi-axis) See Hx and Hy
thetaEL=trans # Ellipse is along the transversal ***  Angle of inclination of the ellipse
thetaHC=trans # Hypocenter is at the lower tip (bottom end) of the transversal ellipse *** # Angle of the location of the hypocenter (distance = major semi-axis) See Hx and Hy
pe=0.22 # Porcentage of the fault rupture area covered by the ellipse 
cx1=0.0 # Translate the center of the ellipse "cx1" kms horizontally from the center of the fault: positive to the right
cy1=0.0 # Translate the center of the ellipse "cy1" kms vertically from the center of the fault:   positive downward (deeper)


if [ $label = 5 ]
then
  echo 'RUNNING ALL COMPSYN PROGRAMS: FROM XOLSON TO SEESLO'
  ./bay1.sh $model $length $f1 $f2 $dstf $width $Mw $mech $c1 $c2 $c3 $htop $rake $STF $sa1 $sa2 $grd $nexp $tp1 $tp2 $tp3 $depth $acf $zmin $Hx $Hz $slpdir $vrat $vrnd $decay $xobs $yobs $rnpw $numin $nvmin $durfc $vrat1 $hoe $thetaEL $thetaHC $pe $cx1 $cy1
  sh $model-ookk1 $length $model $ns $srsps
else
  echo 'RUNNING THE LAST 2 COMPSYN PROGRAMS: XSLIP AND SEESLO'
  ./bay2.sh $model $length $f1 $f2 $dstf $width $Mw $mech $c1 $c2 $c3 $htop $rake $STF $sa1 $sa2 $grd $nexp $tp1 $tp2 $tp3 $depth $acf $zmin $Hx $Hz $slpdir $vrat $vrnd $decay $xobs $yobs $rnpw $numin $nvmin $durfc $vrat1 $hoe $thetaEL $thetaHC $pe $cx1 $cy1
  sh $model-ookk2 $length $model $ns $srsps
fi


#gfortran nh-misf5.f
#./a.out << END >> mmm.xyz
#$j, $i 
#END
##done

#vi mmm.xy

#^ chmod +x gmisf.gmt
#./gg.gmt
#./gmisf.gmt
#gs mmm.ps


#if [ $j < 10 ]
if [ $j -lt 10 ]
then
# if [ $i < 10 ]
 if [ $i -lt 10 ]
 then
     mkdir $model-eht2d0-W0"$j"L0"$i"D$dstf
     gzip -f $model*.3V
     mv $model*.3V.gz $model-eht2d0-W0"$j"L0"$i"D$dstf
     mv arch6 $model-eht2d0-arch6-W0"$j"L0"$i"D$dstf
     cp $model.SLD $model-eht2d0-W0"$j"L0"$i"D$dstf
     mv $model.SLP $model-eht2d0-W0"$j"L0"$i"D$dstf
     mv $model.SEP $model-eht2d0-W0"$j"L0"$i"D$dstf
     mv mmm.ps $model-eht2d0-W0"$j"L0"$i"D$dstf
     cp $model-eht2d0-arch6-W0"$j"L0"$i"D$dstf $model-eht2d0-W0"$j"L0"$i"D$dstf
     mv mmm.xyz $model-eht2d0-W0"$j"L0"$i"D$dstf.xyz
     cp $model-eht2d0-W0"$j"L0"$i"D$dstf.xyz $model-eht2d0-W0"$j"L0"$i"D$dstf
 else
     mkdir $model-eht2d0-W0"$j"L"$i"D$dstf
     gzip -f $model*.3V
     mv $model*.3V.gz $model-eht2d0-W0"$j"L"$i"D$dstf
     mv arch6 $model-eht2d0-arch6-W0"$j"L"$i"D$dstf
     cp $model.SLD $model-eht2d0-W0"$j"L"$i"D$dstf
     mv $model.SLP $model-eht2d0-W0"$j"L"$i"D$dstf
     mv $model.SEP $model-eht2d0-W0"$j"L"$i"D$dstf
     mv mmm.ps $model-eht2d0-W0"$j"L"$i"D$dstf
     cp $model-eht2d0-arch6-W0"$j"L"$i"D$dstf $model-eht2d0-W0"$j"L"$i"D$dstf
     mv mmm.xyz $model-eht2d0-W0"$j"L"$i"D$dstf.xyz
     cp $model-eht2d0-W0"$j"L"$i"D$dstf.xyz $model-eht2d0-W0"$j"L"$i"D$dstf
 fi

else

# if [ $i < 10 ]
 if [ $i -lt 10 ]
 then
     mkdir $model-eht2d0-W"$j"L0"$i"D$dstf
     gzip -f $model*.3V
     mv $model*.3V.gz $model-eht2d0-W"$j"L0"$i"D$dstf
     mv arch6 $model-eht2d0-arch6-W"$j"L0"$i"D$dstf
     cp $model.SLD $model-eht2d0-W"$j"L0"$i"D$dstf
     mv $model.SLP $model-eht2d0-W"$j"L0"$i"D$dstf
     mv $model.SEP $model-eht2d0-W"$j"L0"$i"D$dstf
     mv mmm.ps $model-eht2d0-W"$j"L0"$i"D$dstf
     cp $model-eht2d0-arch6-W"$j"L0"$i"D$dstf $model-eht2d0-W"$j"L0"$i"D$dstf
     mv mmm.xyz $model-eht2d0-W"$j"L0"$i"D$dstf.xyz
     cp $model-eht2d0-W"$j"L0"$i"D$dstf.xyz $model-eht2d0-W"$j"L0"$i"D$dstf
 else
     mkdir $model-eht2d0-W"$j"L"$i"D$dstf
     gzip -f $model*.3V
     mv $model*.3V.gz $model-eht2d0-W"$j"L"$i"D$dstf
     mv arch6 $model-eht2d0-arch6-W"$j"L"$i"D$dstf
     cp $model.SLD $model-eht2d0-W"$j"L"$i"D$dstf
     mv $model.SLP $model-eht2d0-W"$j"L"$i"D$dstf
     mv $model.SEP $model-eht2d0-W"$j"L"$i"D$dstf
     mv mmm.ps $model-eht2d0-W"$j"L"$i"D$dstf
     cp $model-eht2d0-arch6-W"$j"L"$i"D$dstf $model-eht2d0-W"$j"L"$i"D$dstf
     mv mmm.xyz $model-eht2d0-W"$j"L"$i"D$dstf.xyz
     cp $model-eht2d0-W"$j"L"$i"D$dstf.xyz $model-eht2d0-W"$j"L"$i"D$dstf
 fi
fi

  done
 done
