
model=nh8          # Model name

###########  In SlipReal file  #################################

W=8.0              # Fault width
L=10.0             # Fault length
Mw=6.5             # Moment Magnitude
mech=ss            # Focal mechanism: 'ss' or 'ds' for strike-slip or dip-slip
acf=ak             # autocorrelation function
c1=4               # corr=[c1, c2, Hn]=  array of correlation length [ax az H]
c2=6               #
Hn=0.6             # Hn= Hurst number
seed=8945  #       # [Optional] Seed value for the random-number generator
sa1=1.0            # Along the strike sampling
sa2=0.5            # Down dip sampling
grd=nod            #
nexp=1.2           # non-linear scaling exponent for the random field (i.e S = S^nexp)
wlevel=-4          # 
tp1=2              # taper=[tp1, tp2, tp3]= array of taper in km for [left/right top bottom]
tp2=2              #
tp3=2              #
tp4=1              # depth dependent tapering of the form z^tp4
depth=30.0         # max. depth of rupture plane
dip=90             # Dip (Default for "ss"=90; for "ds"=50.0, OR CHOOSE YOUR VALUE
fig=n              # Show figure
outfile=n          # Output file of random slip field
f1=1.3             # Intermediate frequency (as used in COMPSYN)
f2=1.5             # Higher frequency (as used in COMPSYN)
dstf=1.25          # Rise time [s]
htop=2.0           # Depth at the top of the fault plane
rake=180.0         # Rake (Default for "ss"=180; for "ds"=90.0, OR CHOOSE YOUR VALUE
STF=Y              # Source time function (Box, Exp, Kos, Trian, Ramp, InvSQRT, Yof): Y
zmin=2.0

###########  In CreateRupt file  ###############################

Hx=4               # Hypocenter position [Hx, Hz]
Hz=6               # 
slpdir=LL          # Slip direction (LL, RL, NO, TF)
vrat=0.75          # Ratio of shear-wave to rupture velocity generell between 0.6 and 0.95
vrnd=0.0           # To randomize the resulting rupture times: 'yes: give a value (range 0.1 - 0.4), 0.0 otherwise


###########  SXSLIPinput2C.py  #################################
## %% default settings for integration, to be used in SLIPDT-code (used in COMPSYN)

decay=0.8          #% power decay
xobs=0.0           #% observer locations
yobs=0.0           #% give [0 0] for all
rnpw=10            #% # of points in quadrature
numin=30           #
nvmin=30           #% min # of points in x,y
durfc=1.0          #% duration fac for rise time
vrat1=1.0          #% standard for NO change


./bay2.sh $model $W $L $Mw $mech $acf $c1 $c2 $Hn $seed $sa1 $sa2 $grd $nexp $wlevel $tp1 $tp2 $tp3 $tp4 $depth $dip $fig $outfile $f1 $f2 $dstf $htop $rake $STF $zmin $Hx $Hz $slpdir $vrat $vrnd $decay $xobs $yobs $rnpw $numin $nvmin $durfc $vrat1
#Q python aq3.py $model $W $L $Mw $mech $acf $c1 $c2 $Hn $seed $sa1 $sa2 $grd $nexp $wlevel $tp1 $tp2 $tp3 $tp4 $depth $dip $fig $outfile $f1 $f2 $dstf $htop $rake $STF $zmin $Hx $Hz $slpdir $vrat $vrnd $decay $xobs $yobs $rnpw $numin $nvmin $durfc $vrat1
